OBJ

  Debug          : "FullDuplexSerialPlus"
  GPS            : "GPS_Float_Lite"
  FS             : "FloatString"

CON

  _CLKMODE         = XTAL1 + PLL16x
  _XINFREQ         = 5_000_000

PUB Init |  fv

  'Start FullDuplexSerialPlus terminal
  Debug.Start(31, 30, 0, 115200)
  Debug.Str(String("Reading GPS..."))
   
  WaitCnt(ClkFreq * 2 + Cnt)
   
  'Start GPS object, GPS connected to P7
  GPS.Init
   
  Repeat   
    Debug.Str(String(16, 1))
   
    FS.SetPrecision(7)
    fv := GPS.Float_Latitude_Deg             ' Get latitude
    If fv <> floatNaN
      Debug.Str(FS.FloatToString(fv))   
    Else
      Debug.Str(String("---"))  
            
    Debug.Str(String(","))
    fv := GPS.Float_Longitude_Deg            ' Get longitude
    If fv <> floatNaN
      Debug.Str(FS.FloatToString(fv))   
    Else
      Debug.Str(String("---"))  
    WaitCnt(ClkFreq / 2 + ClkFreq / 4 + Cnt)


DAT

  floatNaN       LONG $7FFF_FFFF              'Means Not a Number
